[arch-commits] Commit in mtools/trunk (PKGBUILD mtools.install)

Giovanni Scafora giovanni at archlinux.org
Sat Mar 13 16:44:43 EST 2010


    Date: Saturday, March 13, 2010 @ 16:44:43
  Author: giovanni
Revision: 72260

upgpkg: mtools 4.0.13-1
upstream release

Added:
  mtools/trunk/mtools.install
Modified:
  mtools/trunk/PKGBUILD

----------------+
 PKGBUILD       |   10 +++++-----
 mtools.install |   18 ++++++++++++++++++
 2 files changed, 23 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-13 20:43:32 UTC (rev 72259)
+++ PKGBUILD	2010-03-13 21:44:43 UTC (rev 72260)
@@ -3,7 +3,7 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=mtools
-pkgver=4.0.12
+pkgver=4.0.13
 pkgrel=1
 pkgdesc="A collection of utilities to access MS-DOS disks"
 arch=('i686' 'x86_64')
@@ -13,18 +13,18 @@
 makedepends=('texinfo' 'libx11' 'libsm')
 optdepends=('libx11: required by floppyd'
 	    'libsm:  required by floppyd')
-backup=(etc/mtools.conf)
+backup=('etc/mtools.conf')
+install=mtools.install
 source=(http://ftp.gnu.org/gnu/mtools/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('0ee77a14e5f113ad8136a867f8ed4c3a')
+md5sums=('334fe1580d6e3f4b5c904ce097267477')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
 
   sed -i '/^SAMPLE FILE$/s:^:# :' mtools.conf
-  sed -i 's:/usr/local/etc:/etc:g' mtools.5 mtools.texi
   ./configure --prefix=/usr \
 	      --sysconfdir=/etc
   make || return 1
-  make -j 1 prefix=${pkgdir}/usr install
+  make -j 1 prefix="${pkgdir}/usr" install || return 1
   install -Dm644 mtools.conf "${pkgdir}/etc/mtools.conf" || return 1
 }

Added: mtools.install
===================================================================
--- mtools.install	                        (rev 0)
+++ mtools.install	2010-03-13 21:44:43 UTC (rev 72260)
@@ -0,0 +1,18 @@
+info_dir=/usr/share/info
+info_files=(mtools.info)
+
+post_install() {
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list